PWAs

GET https://pushye.com/api/pwas/
curl --request GET \
--url 'https://pushye.com/api/pwas/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: name.
datetime_field Optional String Erlaubte Werte: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: pwa_id, name, datetime, last_datetime.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
page Optional Integer Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1.
results_per_page Optional Integer Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example app",
            "settings": {
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "app_icon_url": "https://example.com/icon.png",
                "app_icon_maskable_url": "",
                "mobile_screenshot_urls": ["", "", "", "", "", ""],
                "desktop_screenshot_urls": ["", "", "", "", "", ""],
                "shortcuts": [
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""}
                ],
                "id": "",
                "dir": "auto",
                "lang": "en",
                "scope_url": "https://example.com/"
            },
            "manifest": {
                "name": "Example app",
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "lang": "en",
                "dir": "auto",
                "scope_url": "https://example.com/",
                "icons": [
                    {
                        "src": "https://example.com/icon.png",
                        "type": "image/png",
                        "purpose": "any",
                        "sizes": "512x512"
                    }
                ]
            },
            "last_datetime": null,
            "datetime": "2026-09-14 18:05:23"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/pwas?page=1",
        "last": "https://pushye.com/api/pwas?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/pwas?page=1"
    }
}
GET https://pushye.com/api/pwas/{pwa_id}
curl --request GET \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-09-14 18:05:23"
    }
}
POST https://pushye.com/api/pwas
Parameter Details Beschreibung
name Erforderlich String The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Optional String Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Optional String Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Optional String The full URL that opens when your PWA is launched.
background_color Optional String The background color used on the splash screen and while the app is loading.
theme_color Optional String The browser UI color that matches your app's theme.
app_icon_url Erforderlich String The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Optional String Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Optional String Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Optional String Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Optional String Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Optional String Optional description to explain the shortcut.
shortcut_url_{1-3} Optional String URL the shortcut should open.
shortcut_icon_url_{1-3} Optional String Make sure the icon is 128x128 pixels, PNG file.
id Optional String Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Optional String Erlaubte Werte: fullscreen, standalone, minimal-ui, browser
orientation Optional String Erlaubte Werte: portrait, landscape, any
dir Optional String Erlaubte Werte: auto, ltr, rtl
lang Optional String en for English, de for German, etc.
scope_url Optional String Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example app' \
--form 'short_name=Example' \
--form 'description=Example PWA application.' \
--form 'start_url=https://example.com/' \
--form 'app_icon_url=https://example.com/icon.png' \
--form 'background_color=#ffffff' \
--form 'theme_color=#237fff' \
--form 'lang=en' \
--form 'scope_url=https://example.com/'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "lang": "en",
            "dir": "auto",
            "scope_url": "https://example.com/",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-09-14 18:05:23"
    }
}
POST https://pushye.com/api/pwas/{pwa_id}
Parameter Details Beschreibung
name Optional String The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Optional String Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Optional String Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Optional String The full URL that opens when your PWA is launched.
background_color Optional String The background color used on the splash screen and while the app is loading.
theme_color Optional String The browser UI color that matches your app's theme.
app_icon_url Optional String The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Optional String Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Optional String Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Optional String Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Optional String Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Optional String Optional description to explain the shortcut.
shortcut_url_{1-3} Optional String URL the shortcut should open.
shortcut_icon_url_{1-3} Optional String Make sure the icon is 128x128 pixels, PNG file.
id Optional String Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Optional String Erlaubte Werte: fullscreen, standalone, minimal-ui, browser
orientation Optional String Erlaubte Werte: portrait, landscape, any
dir Optional String Erlaubte Werte: auto, ltr, rtl
lang Optional String en for English, de for German, etc.
scope_url Optional String Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated example app' \
--form 'theme_color=#000000'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Updated example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#000000",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Updated example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "theme_color": "#000000",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": "2026-09-14 18:05:23",
        "datetime": "2026-09-14 18:05:23"
    }
}
DELETE https://pushye.com/api/pwas/{pwa_id}
curl --request DELETE \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \